## asql 0.8

=== Makefile ===
#
#  Makefile for 'asql'.
#
# Steve
# -- 
#


#
#  Only used to build distribution tarballs.
#
DIST_PREFIX = ${TMP}
VERSION     = 0.8
BASE        = asql



stubb:
	@echo "Valid targets are"
	@echo " "
	@echo " clean   - Remove temporary files"
	@echo " commands - Make our command reference."
	@echo " diff    - See differences from the remote repository"
	@echo " install - Install the scripts into /etc"
	@echo " release - Build a tarball"
	@echo " update  - Update from the repository"
	@echo " "


clean:
	-find . -name '*~' -delete
	-find . -name 'build-stamp' -delete


commands:
	perl ./bin/make-cmds ./bin/asql > ./COMMANDS

diff:
	hg diff 2>/dev/null

install:
	mkdir -p ${PREFIX}/usr/bin/
	cp bin/asql ${PREFIX}/usr/bin/asql
	chmod 755 ${PREFIX}/usr/bin/asql


release: clean commands
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
		rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.hg*
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz

test:
	prove --shuffle t/

test-verbose:
	prove --verbose --shuffle t/

update:
	hg pull --update 2>/dev/null

## asql 0.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  Makefile for 'asql'.
 #
 # Steve
-# -- 
+# --
 #
 
 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 0.8
+VERSION     = 0.9
 BASE        = asql
 
 
@@ -30,6 +30,7 @@
 clean:
 	-find . -name '*~' -delete
 	-find . -name 'build-stamp' -delete
+	-rm bin/*.bak
 
 
 commands:

## asql 1.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 0.9
+VERSION     = 1.2
 BASE        = asql
 
 
@@ -49,13 +49,15 @@
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
-		rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
+	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
+	perl -pi -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/asql
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.hg*
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz
+	echo $(VERSION) > .version
 
 test:
 	prove --shuffle t/

## asql 1.4

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.2
+VERSION     = 1.4
 BASE        = asql

## asql 1.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.4
+VERSION     = 1.5
 BASE        = asql

=== debian/changelog ===
asql (1.5-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Updated standards version to 3.4.4 - no changes required.

 -- Steve Kemp <skx@debian.org>  Sat, 20 Feb 2010 15:04:58 +0000

asql (1.4-1) unstable; urgency=low

  * Re-Enable AutoCommit, but wrap our loading in a transaction which
    does actually speed things up.

 -- Steve Kemp <skx@debian.org>  Mon, 2 Nov 2009 19:19:19 +0000

asql (1.3-1) unstable; urgency=low

  * Disable AutoCommit to speedup loading of data.
    - Thanks to David Wolever for the suggestion.

 -- Steve Kemp <skx@debian.org>  Sun, 25 Oct 2009 18:11:18 +0000

asql (1.2-2) unstable; urgency=low

  * Rename the name of the table shown in the help text as that was
    confusing.  (Closes: #537500)
  * Bumped standards version to 3.8.2 - changed spelling of 'apache' to
    'Apache' in package description.
  * Bumped debhelper level to 5, and updated dependency

 -- Steve Kemp <skx@debian.org>  Sun, 19 Jul 2009 11:27:06 +0000

asql (1.2-1) unstable; urgency=low

  * New upstream release:
    - Use numeric fields in the database for HTTP code, HTTP size, and
      HTTP version number.

 -- Steve Kemp <skx@debian.org>  Sun, 11 Jan 2009 17:17:17 +0000

asql (1.1-1) unstable; urgency=low

  * New upstream release:
    - Applied patch from Gerrit Renker to allow script to work from cron.

 -- Steve Kemp <skx@debian.org>  Sun, 30 Nov 2008 17:00:17 +0000

asql (1.0-1) unstable; urgency=low

  * New upstream release:
    - Correctly identifies December in dates.  (Long story.)

 -- Steve Kemp <skx@debian.org>  Tue, 21 Oct 2008 18:55:18 +0000

asql (0.9-1) unstable; urgency=low

  * New upstream release:
    - Adds support for the --execute flag.
    - Updated standards version to 3.8.0.
      * Updated copyright file to be correct.

 -- Steve Kemp <skx@debian.org>  Fri, 4 Jul 2008 12:55:21 +0000

asql (0.8-1) unstable; urgency=low

  * New upstream release:
    - Adds support for both "common" and "combined" format.
    - Adds support for the "user" field.

 -- Steve Kemp <skx@debian.org>  Tue, 15 Jan 2007 18:43:32 +0000

asql (0.7-1) unstable; urgency=low

  * New upstream release:
    - Adds missing 'date' filed to the tables (Closes: #456974)
    - Adds optional label to imports.
    - Adds init-file support.

 -- Steve Kemp <skx@debian.org>  Wednesday, 2 Jan 2007 11:22:33 +0000

asql (0.6-1) stable; urgency=low

  * New upstream release:
    - Adds new SQL commands:  create, drop, delete, update
    - Adds persistent aliases.
    - Adds 'save' & 'restore' commands.
    - Fixes command line completion.

 -- Steve Kemp <steve@steve.org.uk>  Friday, 30 Nov 2007 22:24:21 +0000

asql (0.5-3) stable; urgency=low

  * Applied patch from Andrew Pollock:
    - Add support for reading .bz2 compressed logfiles.

 -- Steve Kemp <steve@steve.org.uk>  Wednesday, 28 Nov 2007 09:57:01 +0000

asql (0.5-2) stable; urgency=low

  * Correctly parse HEAD lines.
  * Added a new field to the database for the HTTP version.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 21:05:10 +0000

asql (0.5-1) stable; urgency=low

  * Minor pod updates.
  * Updated version number in the script.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 21:02:10 +0000

asql (0.1-4) stable; urgency=low

  * Added completion on arguments to 'load'.
  * Understand gzip compressed logfiles.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 20:32:33 +0000

asql (0.1-3) stable; urgency=low

  * Remove the temporary database file upon cleanup/close

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 20:32:33 +0000

asql (0.1-2) stable; urgency=low

  * Cleanup of code with drop of Term::Shell since it breaks quotes.
  * Added more examples.
  * Added a stub manpage.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 20:32:33 +0000

asql (0.1-1) unstable; urgency=low

  * Initial release

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 27 Nov 2007 11:35:03 +0000

## asql 1.6

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.5
+VERSION     = 1.6
 BASE        = asql

=== debian/changelog ===
asql (1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
        '-k' option is not supported since compat 12.
      - Closes: #965418
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999113)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 14 Apr 2022 13:40:34 -0300

asql (1.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 18:29:40 +0100

asql (1.6-1) unstable; urgency=low

  * Applied Patch from Christopher Brannon for two-digit month and
    days.
  * Updated the way that Apache logfiles are parsed, such that malformed
    lines will be safely ignored.  (Closes: #597114)

 -- Steve Kemp <skx@debian.org>  Mon, 4 Oct 2010 21:22:23 +0000

=== debian/control ===
Source: asql
Section: admin
Priority: optional
Maintainer: Steve Kemp <skx@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.8.4
Homepage: http://www.steve.org.uk/Software/asql/


Package: asql
Architecture: all
Depends: ${misc:Depends}, libdbd-sqlite3-perl, libterm-readline-gnu-perl
Description: Run SQL queries against apache logs
 This package contains a simple tool which allows you to easily run
 SQL queries against Apache common logfiles.
 .
 This can be more illuminating than viewing static logfile analysis.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make install PREFIX=`pwd`/debian/asql
	mkdir -p `pwd`/debian/asql/usr/share/man/man8/
	pod2man ./bin/asql --official --section=8 `pwd`/debian/asql/usr/share/man/man8/asql.8

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do here

binary: binary-indep binary-arch
build-arch: build
build-indep: build
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## asql 1.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.6
+VERSION     = 1.7
 BASE        = asql

=== debian/changelog ===
asql (1.7-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Maintain package in Package Salvage team
    Closes: #1091797
  * Add watch file
    Closes: #860473
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 0.8-1, 0.7-1.
  * d/copyright: DEP5
  * d/rules: short dh
  * Fix spelling of Apache in short description

  [ Roland Rosenfeld ]
  * Build-Depends: libdbi-perl.
  * Add Testsuite: autopkgtest-pkg-perl.
  * Build-Depends: libtest-pod-perl to enable POD tests.

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2025 08:55:57 +0100

=== debian/control ===
Source: asql
Section: admin
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Steve Kemp <skx@debian.org>
Build-Depends: debhelper-compat (= 13),
               libdbi-perl <!nocheck>,
               libtest-pod-perl <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/duff
Vcs-Git: https://salsa.debian.org/salvage-team/duff.git
Homepage: https://www.steve.org.uk/Software/asql/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl

Package: asql
Architecture: all
Depends: ${misc:Depends}, libdbd-sqlite3-perl, libterm-readline-gnu-perl
Description: Run SQL queries against Apache logs
 This package contains a simple tool which allows you to easily run
 SQL queries against Apache common logfiles.
 .
 This can be more illuminating than viewing static logfile analysis.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/asql

override_dh_installman:
	mkdir -p $(CURDIR)/debian/asql/usr/share/man/man8/
	pod2man ./bin/asql --official --section=8 $(CURDIR)/debian/asql/usr/share/man/man8/asql.8

=== debian/watch ===
version=4

https://steve.fi/software/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
